> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-22654f5b-docs-audit-content-webhooks.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Delete a CometChat moderation rule by ruleId with REST API to remove an inactive or outdated content rule.

# Remove rule



## OpenAPI

````yaml delete /moderation/rules/{ruleId}
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /moderation/rules/{ruleId}:
    delete:
      tags:
        - Moderation
      summary: Remove rule
      description: Delete a specific moderation rule by its ID.
      operationId: delete-rule
      parameters:
        - $ref: 29cd22d3-bbea-452e-bad6-ccb4c232d2ae
        - $ref: 35522a8e-7d1c-4d5f-9a7a-469359ae617d
        - $ref: a6a7941e-548d-4582-8d52-d4391ed13ece
        - $ref: 6c512cb9-b288-4933-9c96-407f95047fb1
      responses:
        '200':
          description: Delete Rule
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/webhookSchema'
                    type: object
                type: object
              example:
                data:
                  success: true
                  message: Rule with id moderation-test has been deleted successfully.
components:
  schemas:
    webhookSchema:
      description: Response data
      properties:
        id:
          type: string
        name:
          type: string
        webhookURL:
          type: string
        useBasicAuth:
          type: boolean
        username:
          type: string
        password:
          type: string
        enabled:
          type: boolean
        createdAt:
          type: integer
        updatedAt:
          type: integer
      type: object

````